Subject: [OAUTH-WG] JWTs helping combat fraudulent and unwanted telephone calls

From: Mike Jones <[email-masked]>
Date: Wed, 12 Feb 2020 23:29:10 +0000

I wanted to bring two excellent articles by the IETF on work by the STIR working group<https://datatracker.ietf.org/wg/stir/about/> to combat fraudulent and unwanted telephone calls to your attention:

  *   STIR into Action<https://www.ietf.org/blog/stir-action/>, January 2020:
Abstract:  Providers of voice over IP in the United States will be required to implement the IETF's Secure Telephony Identity Revisited (STIR) protocol as a result of recently enacted legislation to address some of the root causes of illegal robocalling on the telephone network.

  *   Causing a STIR<https://www.ietf.org/blog/stir/>, August 2019:
Abstract:  Recently, the output of the IETF Secure Telephony Identity Revisited (STIR) working group has received considerable attention from service providers, regulators, and the press because it addresses some of the root causes of the illegal robocalling which has crippled the telephone network.

I love this work for two reasons.  First, like the rest of you, I receive a huge volume of unwanted and often fraudulent phone calls.  I love that engineers and regulators are partnering to take concrete steps to reduce the volume of these illegal and annoying calls.

Second, I love it that the STIR protocols are using JSON Web Tokens (JWTs)<https://tools.ietf.org/html/rfc7519> under the covers as the format to represent verifiable statements about legitimate uses of telephone numbers, enabling verifiable Caller ID.  It's often said that one sign of a standard having succeeded is that it's used for things that the inventors never imagined.  This is certainly such a case!  I'm proud that the JSON Web Token, which we originally designed with digital identity use cases in mind, is now being used in a completely different context to solve a real problem experienced by people every day.

                                                       -- Mike

P.S.  This note was also posted at https://self-issued.info/?p=2045 and as @selfissued<https://twitter.com/selfissued>.